/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
#include "file_42.h"
M cos(M x);
M sin(M x);
M tan(M x);
M sec(M x);
M csc(M x);
M cot(M x);
M acos(M x);
M asin(M x);
M atan(M x);
M asec(M x);
M acsc(M x);
M acot(M x);
M cosh(M x);
M sinh(M x);
M tanh(M x);
M sech(M x);
M csch(M x);
M coth(M x);
M acosh(M x);
M asinh(M x);
M atanh(M x);
M asech(M x);
M acsch(M x);
M acoth(M x);
M operator !(M x);
M operator -(M x);
M operator +(M x);
M abs(M x);
M angle(M x);
M arg(M x);
M ceil(M x);
M cumprod(M x);
M cumsum(M x);
M conj(M x);
M exp(M x);
M finite(M x);
M fix(M x);
M floor(M x);
M imag(M x);
M isinf(M x);
M isnan(M x);
M log(M x);
M log10(M x);
M real(M x);
M round(M x);
M sign(M x);
M sqrtM(M x);
M tril(M x);
M triu(M x);
M tril(M x, M y);
M triu(M x, M y);
M log2(M x);
M log2(M x, i_o_t, Mr f, Mr l_1);
M pow2(M x);
